<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.czg.service.product.mapper.ConsInfoMapper">

    <select id="findOpenIdList" resultType="java.lang.String">
        select
            open_id
        from tb_shop_push_open_id
        where shop_id = #{shopId}
          and status = 1
          and type_info like concat('%', #{type}, '%')
    </select>
</mapper>